import 'package:json_annotation/json_annotation.dart';

import '../../bean/keyboard_info.dart';

part 'keyboard_love_index_response.g.dart';

@JsonSerializable()
class KeyboardLoveIndexResponse {
  // 默契数值
  @JsonKey(name: "rapport")
  int? rapport;

  //激情数值
  @JsonKey(name: "passion")
  int? passion;

  @JsonKey(name: "fetter")
  int? fetter;

  @JsonKey(name: "promise")
  int? promise;

  KeyboardLoveIndexResponse({
    this.rapport,
    this.passion,
    this.fetter,
    this.promise,
  });

  factory KeyboardLoveIndexResponse.fromJson(Map<String, dynamic> json) =>
      _$KeyboardLoveIndexResponseFromJson(json);

  Map<String, dynamic> toJson() => _$KeyboardLoveIndexResponseToJson(this);
}
